### Method

# RB RhythmDB entry_lookup_from_string

#### Declaration [src]

    RhythmDBEntry*
    rhythmdb_entry_lookup_from_string (
      RhythmDB* db,
      const char* str,
      gboolean is_id
    )

#### Description [src]

Locates an entry using a string containing either an entry ID or a location.

#### Parameters

`str`

  Type: `const char*`

  String.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`is_id`

  Type: `gboolean`

  Whether the string is an entry ID or a location.

#### Return value

Type: `RhythmDBEntry`

The entry matching the string, or NULL if no such entry exists.

The returned data is owned by the instance.